Configuration API
Reference documentation
The /config API endpoint
The /config API provides HTTP GET access to the Sensu Enterprise
configuration. Sensitive setting values are redacted by
default.
/config (GET)
EXAMPLE
The following example demonstrates a request to the /config API, resulting in
a JSON Hash containing the Sensu Enterprise configuration.
$ curl -s http://127.0.0.1:3000/config | jq .
{
"Sensu": [
{
"Advanced": {
"CloseRequest": false,
"DisableKeepAlives": false,
"Tracing": false
},
"Name": "sensu1",
"Host": "127.0.0.1",
"Port": 4567,
"Ssl": false,
"Insecure": false,
"URL": "http://127.0.0.1:4567",
"User": "*****",
"Path": "",
"Pass": "*****",
"Timeout": 10
}
],
"Uchiwa": {
"...": "..."
},
"Auth": {
"...": "..."
},
"...": "...",
"...": "..."
}API Specification
| /config (GET) | |
|---|---|
| description | Returns the Sensu Enterprise configuration. |
| example url | http://hostname:3000/config |
| response type | Hash |
| response codes |
|
| output | |